Skip to main content

GET Tax Identities

This endpoint retrieves only the tax identities that the user has registered in the Sync platform, allowing you to review the tax identification information available for your processing resources.

Request​

HTTP request​

GET https://api-sync-resser.azurewebsites.net/api/tax-identities

Parameters​

This request does not utilize any query parameters.

Response​

If successful, the method returns an object containing the total count and an array of tax identities:

{
"count": number,
"taxIdentities": TaxIdentity[]
}
PropertyTypeDescription
countnumberTotal number of tax identities found.
taxIdentitiesTaxIdentity[]Array of tax identity objects.

TaxIdentity​

PropertyTypeDescription
taxIdentifierstring?Tax identifier of the entity.
legalNamestring?Legal name of the entity.

Errors​

The following table provides a list of potential error messages that the API may return in response to a call to this method. For more detailed information, please refer to the error message documentation.

Error typeError detailDescription
unauthorized (401)UnauthorizedThe requester is not allowed to use this request.
forbidden (403)ForbiddenRequester does not have permission to perform this operation.